//****************************************************************************
// File: umail.pro                       Version 3.0               16-Apr-1995
//                                       Niel Kempson <kempson@snowyowl.co.uk>
//****************************************************************************
//
// NOTE
//
//  This file should contain no explicit references to path specifications.
//  Actually the :PROFILE section does contains path information but it
//  should be commented out in this example.
//
//  See also the enclosed Ultimail FAQ for a commented example of a
//  UMAIL.PRO file.
//
//****************************************************************************
//
// Change Log
//
//    2.0 [05-Feb-1995] Niel Kempson <snowyowl.co.uk>
//        Initial version.
//
//    3.0 [16-Apr-1995] Niel Kempson <snowyowl.co.uk>
//        Added explicit warnings about path specifications and a pointer 
//        to the Ultimail FAQ.
//
//****************************************************************************
//----------------------------------------------------------------------------
// Ultimedia Mail/2 Configuration File
// ===================================
//
// Many features of UltiMail are user configurable. All features which are
// specific for a given UltiMail client are collected in this profile. This
// file can be edited with any regular editor. Most conveniently it is hoever
// accessed through the settings notebooks in UltiMail itself.
//
// Comments (like this one) are according to C++ conventions preceeded by a
// double forward slash '//'. The double forward slash and anything after it
// on the given line is then ignored by UltiMail.
// Note: comments are not preserved when the configuration file is changed
//       through the settings notebooks from within UltiMail.
// Note: changes made directly in this file do not take effect until UltiMail
//       is logged off and on again with this profile. Most changes made
//       through the settings notebooks however take effect immediately.
//----------------------------------------------------------------------------
:SESSION       dll              = 'CSESLOCL'
               name             = 'Local Mail'
               pipeclass        = 'PIPELOCL'
               load             = 'automatic'
               retrycount       = '1'
               retryinterval    = '5000'
               color            = 'Blue'
               userid           = ''
               password         = ''
               .

//
//  Keep this :PROFILE section commented out to prevent UltiMail/2 Lite
//  from consulting TCPOS2.INI.
//
//:PROFILE       provider         = 'ADVANTIS'
//               file             = 'C:\tcpip\ETC\TCPOS2.INI'
//               .

:LETTER        address          = 'medium'
               open             = 'after'
               create           = 'Text / plain'
               separator        = '//--- forwarded letter -------------------------------------------------------'
               annotation       = '> '
               sigplacement     = 'after'
               useseparator     = 'yes'
               useannotation    = 'yes'
               viewinwindow     = 'yes'
               beeponnewmail    = 'yes'
               notifysendok     = 'yes'
               signature        = '-- Your NameYour OrganisationE-mail: yourid@yourhost.your.domain'
               from             = 'Your Name <yourid@yourhost.your.domain>'
               replyto          = 'Your Name <yourid@yourhost.your.domain>'
               .
:OBJHANDLER    type             = Text
               subtype          = enriched
               viewtype         = SOM
               viewmodule       = OBJEPM
               viewdata         = Buffer
               preload          = Yes
               .
:OBJHANDLER    type             = Text
               subtype          = *
               viewtype         = SOM
               viewmodule       = OBJMLE
               viewdata         = Buffer
               preload          = Yes
               .
:OBJHANDLER    type             = Image
               subtype          = *
               viewtype         = SOM
               viewmodule       = OBJIMG
               viewdata         = File
               preload          = No
               .
:OBJHANDLER    type             = Audio
               subtype          = X-midi
               viewtype         = EXE
               viewmodule       = MPPM
               .
:OBJHANDLER    type             = Audio
               subtype          = *
               viewtype         = EXE
               viewmodule       = WEPM
               .
:OBJHANDLER    type             = Message
               subtype          = external-body
               viewtype         = SOM
               viewmodule       = OBJEXT
               viewdata         = File
               preload          = No
               .
:OBJHANDLER    type             = Video
               subtype          = *
               viewtype         = EXE
               viewmodule       = MPPM
               .
:OBJHANDLER    type             = *
               subtype          = *
               viewtype         = 'SOM'
               viewmodule       = 'OBJHNDLR'
               viewdata         = 'file'
               preload          = 'no'
               params           = ''
               .
:USER          id               = 'yourid'
               password         = '*'
               name             = 'Your Name'
               reply_domain     = 'yourhost@your.domain'
               .
:TIMEZONE      zone             = '14'
               hours            = '0'
               minutes          = '0'
               summerwhich      = '4'
               summerday        = '0'
               summermonth      = '2'
               standardwhich    = '4'
               standardday      = '0'
               standardmonth    = '9'
               .
//---end of file -------------------------------------------------------------
